# opendmarc_policy_connect_clear()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    DMARC_POLICY_T * opendmarc_policy_connect_clear(
    	DMARC_POLICY_T * pctx
    );
Clears an already allocated opaque context to all NULLs and zeros. This is appropriate for a program that wishes to preallocate a fixed number of opaque contexts and to clear and reuse them as needed.
DESCRIPTION |
Called When | `opendmarc_policy_connect_clear()` may be called anytime you want to completely clear an opaque context.
ARGUMENTS |
Argument | Description
--- | ---
pctx | A pointer to type `DMARC_POLICY_T`.
RETURN VALUES | `DMARC_POLICY_T` * -- on success NULL -- Only if the pointer passed into it is NULL.
NOTES | You should not use this function to handle an SMTP RSET. Instead use opendmarc_policy_connect_rset().

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.